{{#if (eq @value.style "ordered")}}
  <ol>
    {{#each @value.items as |item|}}
      <li>
        <div class="list-item-content">
          {{#if item.content}}
            {{item.content}}
          {{else}}
            {{item}}
          {{/if}}
        </div>

        {{#if item.items}}
          <Article::ViewerList @value={{item}} />
        {{/if}}
      </li>
    {{/each}}
  </ol>
{{else}}
  <ul>
    {{#each @value.items as |item|}}
      <li>
        <div class="list-item-content">
          {{#if item.content}}
            {{item.content}}
          {{else}}
            {{item}}
          {{/if}}
        </div>

        {{#if item.items}}
          <Article::ViewerList @value={{item}} />
        {{/if}}
      </li>
    {{/each}}
  </ul>
{{/if}}